org.apache.felix.ipojo.manipulator.metadata.annotation.visitor

## Class FieldPropertyVisitor

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.visitor.FieldPropertyVisitor

    public class FieldPropertyVisitor
    extends org.objectweb.asm.AnnotationVisitor

Parses a Property or ServiceProperty annotation.

Author:
  Felix Project Team
See Also:
  `ServiceProperty`, `Property`

### Field Summary

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`FieldPropertyVisitor(org.apache.felix.ipojo.metadata.Element parent)` Constructor without field
`FieldPropertyVisitor(String field, org.apache.felix.ipojo.metadata.Element parent)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `visit(String name, Object value)` Visit one "simple" annotation.
`void` `visitEnd()` End of the annotation.

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visitAnnotation, visitArray, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FieldPropertyVisitor

    public FieldPropertyVisitor(org.apache.felix.ipojo.metadata.Element parent)

Constructor without field

Parameters:
  `parent` - : element element..

#### FieldPropertyVisitor

    public FieldPropertyVisitor(String field,
                                org.apache.felix.ipojo.metadata.Element parent)

Constructor.

Parameters:
  `parent` - : element element.
  `field` - : field name.

### Method Detail

#### visit

    public void visit(String name,
                      Object value)

Visit one "simple" annotation.

Overrides:
  `visit` in class `org.objectweb.asm.AnnotationVisitor`
Parameters:
  `name` - : annotation name
  `value` - : annotation value
See Also:
  `AnnotationVisitor.visit(String, Object)`

#### visitEnd

    public void visitEnd()

End of the annotation. Create a "property" element

Overrides:
  `visitEnd` in class `org.objectweb.asm.AnnotationVisitor`
See Also:
  `AnnotationVisitor.visitEnd()`